Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class TxClientInterceptor

    java.lang.Object
      org.omg.CORBA.LocalObject
          org.jboss.tm.iiop.TxClientInterceptor

All Implemented Interfaces:
  ClientRequestInterceptor, ClientRequestInterceptorOperations, IDLEntity, Interceptor, InterceptorOperations, Object, Serializable

public class TxClientInterceptor
extends LocalObject
implements ClientRequestInterceptor

This implementation of `org.omg.PortableInterceptor.ClientRequestInterceptor` inserts the transactional context into outgoing requests.

Version:
  $Revision: 1.2 $
Author:
  Francisco Reverbel
See Also:
  Serialized Form

Constructor Summary
`TxClientInterceptor()`

Method Summary
`void` | `destroy()`
`String` | `name()`
`void` | `receive_exception(ClientRequestInfo ri)`
`void` | `receive_other(ClientRequestInfo ri)`
`void` | `receive_reply(ClientRequestInfo ri)`
`void` | `send_poll(ClientRequestInfo ri)`
`void` | `send_request(ClientRequestInfo ri)`
`static void` | `setOutgoingPropagationContext(org.omg.CosTransactions.PropagationContext pc)` Sets the transaction propagation context to be sent out with the IIOP requests generated by the current thread.
`static void` | `unsetOutgoingPropagationContext()` Unsets the transaction propagation context associated with the current thread.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### TxClientInterceptor

    public TxClientInterceptor()

Method Detail

### setOutgoingPropagationContext

    public static void setOutgoingPropagationContext(org.omg.CosTransactions.PropagationContext pc)

  Sets the transaction propagation context to be sent out with the IIOP requests generated by the current thread.

### unsetOutgoingPropagationContext

    public static void unsetOutgoingPropagationContext()

  Unsets the transaction propagation context associated with the current thread.

### name

    public String name()

  Specified by:
    `name` in interface `InterceptorOperations`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `InterceptorOperations`

### send_request

    public void send_request(ClientRequestInfo ri)

  Specified by:
    `send_request` in interface `ClientRequestInterceptorOperations`

### send_poll

    public void send_poll(ClientRequestInfo ri)

  Specified by:
    `send_poll` in interface `ClientRequestInterceptorOperations`

### receive_reply

    public void receive_reply(ClientRequestInfo ri)

  Specified by:
    `receive_reply` in interface `ClientRequestInterceptorOperations`

### receive_exception

    public void receive_exception(ClientRequestInfo ri)

  Specified by:
    `receive_exception` in interface `ClientRequestInterceptorOperations`

### receive_other

    public void receive_other(ClientRequestInfo ri)

  Specified by:
    `receive_other` in interface `ClientRequestInterceptorOperations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.